Summary: CentOS-3 Yum configuration. 
Name: centos-yumconf
Version: 3
Release: 2
License: GPL
Group: System Environment/Base
Source0: CentOS-Base.repo
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/centos-yumconf-root
Provides: yumconf

%description
This is the official list of CentOS RPM repositories; some of which are disabled 
by default. As official mirrors for CentOS change, a new centos-yumconf package
will be available.  centos-yumconf copies a file named CentOS-Base.repo to
/etc/yum.repos.d/.

#%prep

#%build

%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
cp -f %{SOURCE0} $RPM_BUILD_ROOT/etc/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/yum.repos.d/CentOS-Base.repo
%attr(0644,root,root) /etc/yum.repos.d/CentOS-Base.repo

%changelog
* Tue May  9 2006 Johnny Hughes <johnny@centos.org> 3-1
- Modified CentOS-4 version for C3.

* Thu Feb 16 2006 Johnny Hughes <johnny@centos.org> 4-4.5
- Modified after an update system redesign to use port 80
  instead of 81 for mirrorlist.centos.org.
 
* Sun Feb 12 2006 Johnny Hughes <johnny@centos.org> 4-4.4
- Modifed the CentOS-Base.repo file to use the new CentOS.org
  mirrorlist mirror structure.

* Sun Sep  4 2005 Johnny Hughes <johnny@centos.org>
- Changed to allow the import of the CentOS-4 gpg key
  (by default, it will ask to import the base key)

* Mon Mar  7 2005 Johnny Hughes <johnny@centos.org>
- Changed to not over write a modified CentOS-Base.repo
- Changed misspelling for the contribs directory

* Fri Feb 25 2005 Johnny Hughes <johnny@centos.org>
- Initial build CentOS 4
